% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tidy.R
\name{print.saga_tool}
\alias{print.saga_tool}
\title{Generic function to display help and usage information for any SAGA-GIS tool}
\usage{
\method{print}{saga_tool}(x, ...)
}
\arguments{
\item{x}{A `saga_tool` object.}

\item{...}{Additional arguments to pass to print. Currently not used.}
}
\description{
Displays a tibble containing the name of the tool's parameters, the argument
name used by Rsagacmd, the identifier used by the SAGA-GIS command line, and
additional descriptions, default and options/constraints.
}
\examples{
\dontrun{
# Initialize a saga object
saga <- saga_gis()

# Display usage information on a tool
print(saga$ta_morphometry$slope_aspect_curvature)

# Or simply:
saga$ta_morphometry$slope_aspect_curvature
}
}
