% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/search-saga.R
\name{search_saga}
\alias{search_saga}
\title{Automatic search for the path to a SAGA-GIS installation}
\usage{
search_saga()
}
\value{
The path to installed saga_cmd binary.
}
\description{
Returns the path to the saga_cmd executable.
}
\details{
On Microsoft Windows, automatic searching will occur first in 'C:/Program
Files/SAGA-GIS'; 'C:/Program Files (x86)/SAGA-GIS'; 'C:/SAGA-GIS';
'C:/OSGeo4W'; and 'C:/OSGeo4W64'.

On Linux, saga_cmd is usually included in PATH, if not an automatic search is
performed in the '/usr/' folder.

For macOS, since version 8.5, SAGA-GIS is available as an standalone macOS
app from \href{https://sourceforge.net/projects/saga-gis/}{SourceForge}. The
'SAGA.app' package is searched first (assuming that it is installed in the
'/Applications/' folder). Other macOS locations that are searched include
'/usr/local/bin/' (for Homebrew installations) and within the QGIS application
(SAGA-GIS is bundled with the QGIS application on macOS by default).

If multiple versions of SAGA-GIS are installed on the system, the path to the
newest version is returned.
}
